> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/ai-in-umbraco/17.latest/management-api/connections/delete.md).

# Delete Connection

Delete a connection permanently.

## Endpoint

```
DELETE /umbraco/ai/management/api/v1/connections/{id}
```

## Path Parameters

| Parameter | Type | Description                          |
| --------- | ---- | ------------------------------------ |
| `id`      | guid | Connection ID (GUID only, not alias) |

## Response

### Success (200 OK)

Returns empty response on successful deletion.

### 404 Not Found

```json
{
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
    "title": "Not Found",
    "status": 404,
    "detail": "Connection with ID '3fa85f64-5717-4562-b3fc-2c963f66afa6' not found"
}
```

## Considerations

{% hint style="danger" %}
Deleting a connection will break any profiles that depend on it. Consider deactivating the connection instead by setting `isActive: false`.
{% endhint %}

Before deleting a connection:

1. Check if any profiles reference this connection
2. Update or delete dependent profiles
3. Or deactivate instead of deleting

## Examples

### cURL

{% code title="cURL" %}

```bash
curl -X DELETE "https://your-site.com/umbraco/ai/management/api/v1/connections/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
```

{% endcode %}

### JavaScript

{% code title="JavaScript" %}

```javascript
async function deleteConnection(id) {
    const response = await fetch(`/umbraco/ai/management/api/v1/connections/${id}`, {
        method: "DELETE",
        credentials: "include",
    });

    if (!response.ok) {
        if (response.status === 404) {
            throw new Error("Connection not found");
        }
        const error = await response.json();
        throw new Error(error.detail);
    }

    return true;
}

// Usage
await deleteConnection("3fa85f64-5717-4562-b3fc-2c963f66afa6");
```

{% endcode %}

### Safe Delete Pattern

{% code title="JavaScript" %}

```javascript
async function safeDeleteConnection(id) {
    // First, deactivate
    await updateConnection(id, { isActive: false });

    // Wait/verify no issues
    // Then delete if confirmed
    await deleteConnection(id);
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.umbraco.com/ai-in-umbraco/17.latest/management-api/connections/delete.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
